#!/usr/bin/python

import numpy as np
import matplotlib
import matplotlib.gridspec as gridspec
import matplotlib.pyplot as plt

raw     = np.genfromtxt('runtimes.log')
samples = np.unique(raw[:,0])

plt.figure()

for i in range(len(samples)):
	sample   = samples[i]
	selected = raw[raw[:,0] == sample]
	plt.loglog(selected[:,1], selected[:,4], 'o-', label='%d samples' % sample)

	mi = np.min(selected[:,1])
	ma = np.max(selected[:,1])
	va = selected[selected[:,1] == mi][0,4]
#	plt.loglog([mi, ma], [va, va],       '-', color='#cccccc') # weak
	plt.loglog([mi, ma], [va, va*mi/ma], '-', color='#cccccc') # strong

plt.xlabel("Number of nodes")
plt.xticks(np.unique(raw[:,1]), np.unique(raw[:,1]).astype(int))
plt.ylabel("Compute time (s)")

plt.legend()

plt.show()